# extract FT and PO data from a trial
# 07/07/2017

import os
import util

# input the absolute path of a trial directory
trial_path = "absolute_path_of_trial"
data_dict = util.extract_FT_PO_from_trial(trial_path)

# modify the root_path to be the directory that contains all the "m" folders
# for example:
# root_path:
# --m1
# ----t0
# ----t1
# ----t2
# --m2
# ----t0
# ----t1
# ----t2
# .
# .
# .
root_path = "parent_path_of_motions"


FT_PO_data = []
for root, dirs, files in os.walk(root_path):
    index_slash = root.rfind('/')
    cur_dir = root[index_slash + 1:]

    if cur_dir.startswith('t') and len(dirs) == 0:
        data_dict = util.extract_FT_PO_from_trial(root)
        for key in data_dict:
            print(key)
        print('\n')
        FT_PO_data.append(data_dict)

print('Done! number of trials processed: {}'.format(len(FT_PO_data)))





