% test export_airplane 
% uses Faces, Vertices, and FaceVertexCData to draw patch

clc; clear; close all hidden;

prop_patches = export_airplane();

figure;

p = patch(prop_patches);
axis equal;
axis tight;

theta_1 = 0.5; 
theta_2 = 1; 
theta_3 = 1.5;
R1 = [1, 0, 0; 
      0, cos(theta_1), -sin(theta_1);
      0 sin(theta_1), cos(theta_1)];
  
R2 = [cos(theta_2), 0, sin(theta_2);
      0, 1, 0;
      -sin(theta_2), 0, cos(theta_2)];

R3 = [cos(theta_3), -sin(theta_3), 0;
      sin(theta_3), cos(theta_3), 0;
      0, 0, 1];
  
R = R1 * R2 * R3;

p.Vertices = (R * (prop_patches.Vertices'))';

%hold on;

%patch(patches);



         