function axesdata = load_patriotfile_airplane_twosensor(filename)
% derived from load_patriotfile_airplane()
% uses two-sensor patriot data file rather than motion capture file
%
% 07/11/2016


% input exported .csv file name ---- 
%[A0cell, pos, nframe] = read_patriot_data(filename);
[A0, pos, nframe, ntrackable, trackableID] ... 
    = read_patriot_data_hemis_twosensor(filename);
%[A0cell, pos, nframe] = read_rnn_output_data(filename);

% package struct
axesdata.nframe      = nframe;
axesdata.ntrackable  = ntrackable;
axesdata.trackableID = trackableID;
%axesdata.A0          = cell(1, ntrackable); % includes all 6dof data
%axesdata.pos         = cell(1, ntrackable); % all position of trackable
axesdata.airplane    = cell(1, ntrackable);
axesdata.hpatch_axes = cell(1, ntrackable);
axesdata.htext_axes  = cell(1, ntrackable);

% populate A0 and pos
axesdata.A0 = A0;
axesdata.pos = pos;


% compute the airplane patch
for i = 1:axesdata.ntrackable
    axesdata.airplane{i} = export_airplane();
end




end