function A0 = patriot_frame2_to_0_transfm(A2)
% convert a rotation matrix relative to patriot frame (frame 2) to 
% our GUI visualization frame (frame 0)
% R2: relative to frame 2
% R0: relative to frame 0

% Rz90 = [0, -1, 0;
%         1,  0, 0;
%         0,  0, 1];
% Rx180 = [ 1,  0,  0;
%           0, -1,  0;
%           0,  0, -1];
% R0to2 = Rz90 * Rx180;

R0to2 = [0     1     0;
         1     0     0;
         0     0    -1];
     
A0to2 = [R0to2        zeros(3, 1);
         zeros(1, 3)            1];
     
A0 = A0to2 * A2 * A0to2';


