function axesdata = load_patriotfile_airplane(filename)
% derived from load_datafile_airplane()
% uses patriot data file rather than motion capture file
%
% Yongqiang Huang
% 06/20/2016


% input exported .csv file name ---- 
%[A0cell, pos, nframe] = read_patriot_data(filename);
[A0cell, pos, nframe] = read_patriot_data_hemis(filename);
%[A0cell, pos, nframe] = read_rnn_output_data(filename);
ntrackable  = 1;
trackableID = 1;

% package struct
axesdata.nframe      = nframe;
axesdata.ntrackable  = ntrackable;
axesdata.trackableID = trackableID;
axesdata.A0          = cell(1, ntrackable); % includes all 6dof data
axesdata.pos         = cell(1, ntrackable); % all position of trackable
axesdata.airplane    = cell(1, ntrackable);
axesdata.hpatch_axes = cell(1, ntrackable);

% populate A0 and pos
axesdata.A0{1} = A0cell;
axesdata.pos{1} = pos;


% compute the airplane patch
for i = 1:axesdata.ntrackable
    axesdata.airplane{i} = export_airplane();
end




end