function R0 = patriot_frame2_to_0(R2)
% convert a rotation matrix relative to patriot frame (frame 2) to 
% our GUI visualization frame (frame 0)
% R2: relative to frame 2
% R0: relative to frame 0

% Rz90 = [0, -1, 0;
%         1,  0, 0;
%         0,  0, 1];
% Rx180 = [ 1,  0,  0;
%           0, -1,  0;
%           0,  0, -1];
% R0to2 = Rz90 * Rx180;

R0to2 = [0     1     0;
         1     0     0;
         0     0    -1];
     
R0 = R0to2 * R2 * R0to2';


